use crate::vdf::parse::to_json;

pub fn get_steam_users() -> Result<String, String> {
    let vdf_data = r#"
    {
        "key1"\t\t"value1"
        "key2"\t\t"value2"
        "subkey" {
            "key3"\t\t"value3"
        }
    }"#;
    let json_data = to_json(vdf_data);
    Ok(json_data)
}

mod tests {
    use super::*;

    #[test]
    fn test_get_steam_users() {
        let result = get_steam_users();
        assert!(result.is_ok() || result.is_err());
        println!("{}", result.unwrap());
    }
}
